Home

Commit transaction

POST
https://meter.nownodes.io/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

in raw or structured format. If no signature in structured format, signingHash is returned in response body.

Body

application/json
One of
rawstring

hex form of encoded transaction

chainTaginteger<uint8>

last byte of genesis block ID

blockRefstring

8 bytes prefix of some block ID

expirationinteger<uint32>

expiration relative to blockRef, in unit block

clausesArray<Clause>
Show child attributes
tostring

recipient of clause, null for contract deployment (bytes32)

valuestring

hex form of token to be transferred

datastring

input data (bytes)

gasPriceCoefinteger<uint8>

coefficient used to calculate the final gas price

gasinteger<uint64>

max amount of gas can be consumed to execute this transaction

dependsOnstring<bytes32>

ID of the transaction on which the current transaction depends on. can be null.

noncestring
signaturestring

signature hex string

chainTaginteger<uint8>

last byte of genesis block ID

blockRefstring

8 bytes prefix of some block ID

expirationinteger<uint32>

expiration relative to blockRef, in unit block

clausesArray<Clause>
Show child attributes
tostring

recipient of clause, null for contract deployment (bytes32)

valuestring

hex form of token to be transferred

datastring

input data (bytes)

gasPriceCoefinteger<uint8>

coefficient used to calculate the final gas price

gasinteger<uint64>

max amount of gas can be consumed to execute this transaction

dependsOnstring<bytes32>

ID of the transaction on which the current transaction depends on. can be null.

noncestring

Response

200OK

OK